Twitter v2

Integrate your application with the Twitter v2 API

🚀 Quickstart

Connect to Twitter v2 with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Twitter v2.

Authorize Twitter v2

Go to Connections -> Add Test Connection -> Authorize, then log in to Twitter. Later, you'll let your users do the same directly from your app.

Call the Twitter v2 API

Let's make your first request to the Twitter v2 API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/2/users/me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Twitter v2 Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Twitter v2 API docs

🧩 Pre-built syncs & actions for Twitter v2

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
bookmark-tweetBookmark a tweet for an authenticated user.Action🔗 Github
create-liked-tweetCreate a liked tweet in Twitter/XAction🔗 Github
create-listCreate a list in Twitter/XAction🔗 Github
create-tweetCreate a tweet in Twitter/X.Action🔗 Github
delete-liked-tweetRemove a liked tweet (unlike) for the authenticated user.Action🔗 Github
delete-listDelete a List owned by the authenticated userAction🔗 Github
delete-tweetDelete or archive a tweet in Twitter/XAction🔗 Github
follow-userFollow a user from the authenticated account.Action🔗 Github
get-liked-tweetRetrieve a single liked tweet from Twitter/X by its ID.Action🔗 Github
get-listRetrieve a single list from Twitter/XAction🔗 Github
get-mentionRetrieve a single mention from Twitter/X.Action🔗 Github
get-spaceRetrieve a single space from Twitter/XAction🔗 Github
get-tweetRetrieve a single tweet from Twitter/X.Action🔗 Github
get-userRetrieve a single user from Twitter/XAction🔗 Github
like-tweetLike a tweetAction🔗 Github
list-liked-tweetsList liked tweets from a specific Twitter/X userAction🔗 Github
list-listsList all Lists owned by a specified user from X APIAction🔗 Github
list-mentionsList mentions from Twitter/X for a specified user.Action🔗 Github
list-spacesList Spaces from Twitter/X matching a search queryAction🔗 Github
list-tweetsList tweets from a specific Twitter/X user timeline.Action🔗 Github
list-usersList users from Twitter/X by IDs or usernamesAction🔗 Github
remove-bookmarkRemove a tweet bookmarkAction🔗 Github
unfollow-userUnfollow a user from the authenticated accountAction🔗 Github
unlike-tweetUnlike a TweetAction🔗 Github
update-listUpdate a list in Twitter/X.Action🔗 Github
liked-tweetsSync liked tweets from Twitter/XSync🔗 Github
listsSync lists from Twitter/X.Sync🔗 Github
mentionsSync mentions from Twitter/XSync🔗 Github
spacesSync spaces from Twitter/X using the search endpointSync🔗 Github
tweetsSync tweets from Twitter/X user timelineSync🔗 Github
usersSync users from Twitter/XSync🔗 Github

On this page